///////////////////////////////////////////////////////////////////////////////
// TEDSoft GmbH Bonn 2002 -- tool source code                                //
// Alle Rechte vorbehalten                                                   //
// All rights reserved -- unless granted by written agreement.               //
// To remove this notice is not permitted.                                   //
//                                                                           //
//  www  : www.tedsoft.de                                                    //
//  mail : info@tedsoft.de                                                   //
///////////////////////////////////////////////////////////////////////////////

{$A+,B-,G-,H+,I+,J-,M-,P-,T+,V+,X+,Z1}  // Standard-Settings neuer Code

unit uTEDVersionLabelEditor;

interface

{$include TEDVersionInfo.inc}

uses
  uTedVersionInfo, uTEDVersionLabel,
  {$ifdef LEVEL5}DsgnIntf,{$endif}
  {$ifdef LEVEL6}DesignIntf, DesignEditors,{$endif}
  Forms, Classes, SysUtils, dialogs, extctrls;

type
  TTEDVersionLabelEditor = class (TStringProperty)
  public
    procedure GetValues (Proc: TGetStrProc); override;
    function GetAttributes: TPropertyAttributes; override;
  end;

implementation

procedure TTEDVersionLabelEditor.GetValues (Proc: TGetStrProc);
var
  i: Integer;
begin
  for i := 0 to Ord (High (VersionInfoStrings)) do
    Proc (VersionInfoStrings [TVersionInfoStrings (i)]);
end;

function TTEDVersionLabelEditor.GetAttributes: TPropertyAttributes;
begin
  Result := inherited GetAttributes + [paValueList, paSortList];
end;

end.

